org.jboss.resteasy.core.interception

## Class ClientResponseFilterRegistry

- java.lang.Object
- - org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry<ClientResponseFilter>
  - - org.jboss.resteasy.core.interception.ClientResponseFilterRegistry

-     public class ClientResponseFilterRegistry
      extends JaxrsInterceptorRegistry<ClientResponseFilter>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry

      `JaxrsInterceptorRegistry.AbstractInterceptorFactory, JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory, JaxrsInterceptorRegistry.AscendingPrecedenceComparator, JaxrsInterceptorRegistry.DescendingPrecedenceComparator, JaxrsInterceptorRegistry.InterceptorFactory, JaxrsInterceptorRegistry.LegacyPerMethodInterceptorFactory, JaxrsInterceptorRegistry.LegacySingletonInterceptorFactory, JaxrsInterceptorRegistry.Match, JaxrsInterceptorRegistry.OnDemandInterceptorFactory, JaxrsInterceptorRegistry.SingletonInterceptorFactory`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry

      `cachedPreMatch, interceptors, intf, listeners, providerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientResponseFilterRegistry(ResteasyProviderFactory providerFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientResponseFilterRegistry` | `clone(ResteasyProviderFactory factory)`
    `protected void` | `sort(List<JaxrsInterceptorRegistry.Match> matches)`

    - ### Methods inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry

      `getIntf, getListeners, getNameBound, getPriority, postMatch, preMatch, register, registerClass, registerClass, registerSingleton, registerSingleton`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientResponseFilterRegistry

          public ClientResponseFilterRegistry(ResteasyProviderFactory providerFactory)

  - ### Method Detail

    - #### sort

          protected void sort(List<JaxrsInterceptorRegistry.Match> matches)

      Overrides:
        `sort` in class `JaxrsInterceptorRegistry<ClientResponseFilter>`

    - #### clone

          public ClientResponseFilterRegistry clone(ResteasyProviderFactory factory)

      Overrides:
        `clone` in class `JaxrsInterceptorRegistry<ClientResponseFilter>`

Copyright © 2014. All Rights Reserved.